* {
  box-sizing: border-box;
}

body {
  background: #f5f5f5;
  font-family: "Montserrat", sans-serif;
}

header {
  margin-top: 50px;
  margin-bottom: 20px;
}

header img {
  max-width: 350px;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
  object-fit: contain;
}

.page-wrapper {
  justify-content: center;
}

.app-gallery {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
  
  padding-right: 40px;
  padding-left: 40px;
  max-width: 1280px;
  
  margin: 0 auto;
}

@media (max-width: 768px) { /* or any breakpoint you prefer */
  .app-gallery {
    grid-template-columns: 1fr;  /* changes to single column */
  }
}

.card-wrapper,
img {
  max-width: 812px;
  width: 100%;
  display: block;
  object-fit: contain;
}

.card-wrapper {
  background: white;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 0 0.5rem rgb(121, 121, 121);
  max-width: 812px;
  margin-bottom: 20px;
  margin-top: 20px;

  transition: all 200ms ease; // Animation
}

.card-wrapper:hover {
  -webkit-transform: scale(1.01);
  -ms-transform: scale(1.01);
  transform: scale(1.01);
}

.card-bottom {
  padding: 15px 30px;
  align-items: center;
}

.card-bottom, .card-bottom p {
  color: white;
  font-weight: bold;
  margin-top: 0px;
  margin-bottom: 0px;
  display: flex;
  justify-content: space-between;
  font-size: 20px;
}

.card-bottom.abgc, .card-wrapper.abgc {
  /* background: rgba(86, 78, 96, 1); */
  background: rgb(78, 68, 89);
}

/* Game Specifics  */
.card-bottom.letterrooms, .card-wrapper.letterrooms {
  background: #747de4;
  //background: linear-gradient(90deg, #747DE4 0%, #E47474 100%);
}

.card-bottom.subwords, .card-wrapper.subwords {
  background: rgb(71, 183, 202);
  //background: linear-gradient(90deg, rgba(71,183,202,1) 0%, rgba(229,82,81,1) 100%);
}

.card-bottom.asymmetric, .card-wrapper.asymmetric {
  background: rgba(221, 163, 232, 1);
  //background: linear-gradient(90deg, rgba(12,151,199,1) 0%, rgba(221,163,232,1) 100%);
}

.card-bottom.elementary, .card-wrapper.elementary {
  background: rgba(228, 81, 56, 1);
  /* background: linear-gradient(90deg, rgba(141,163,116,1) 0%, rgba(255,62,30,1) 100%); */
}

.card-bottom.sws, .card-wrapper.sws {
  background: #7E5CCB;
  /* background: linear-gradient(90deg, rgba(141,163,116,1) 0%, rgba(255,62,30,1) 100%); */
}

.card-bottom.pocketShelf, .card-wrapper.pocketShelf {
  background: #4C5ECB;
  /* background: linear-gradient(90deg, rgba(141,163,116,1) 0%, rgba(255,62,30,1) 100%); */
}


.card-bottom.fauna, .card-wrapper.fauna {
  background: #65A683;
  /* background: linear-gradient(90deg, rgba(141,163,116,1) 0%, rgba(255,62,30,1) 100%); */
}


.button-learn-more {
  border: 2px solid white;
  background: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  /* display: inline-block; */
  font-size: 16px;
  border-radius: 20px;

  transition: all 200ms ease; // Animation
}

.fake-button-learn-more {
  border: 2px solid white;
  background: none;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  /* display: inline-block; */
  font-size: 16px;
  border-radius: 20px;
  font-weight: normal;
}

.card-link {
  text-decoration: none;
}

.button-learn-more:hover {
  -webkit-transform: scale(1.05);
  -ms-transform: scale(1.05);
  transform: scale(1.05);
}

hr.rounded {
  margin-top: 20px;
  margin-bottom: 20px;
  width: 30%;
  border: 2px solid grey;
  height: 2px;
  border-radius: 7px 7px 7px 7px;
}

footer {
  text-align: center;
  margin-top: 40px;
  margin-bottom: 50px;
  margin-left: auto;
  margin-right: auto;

  font-family: "Montserrat", sans-serif;
}

h1 {
  font-size: 52px;
  text-align: center;
}



.ada-container {
  display: flex;
  justify-content: space-between; /* Adjusts spacing between images */
  align-items: center; /* Aligns images vertically */
  gap: 20px;
  max-width: 600px;
  padding: 10px;
  margin: 0 auto; 
}

.ada-container img {
  width: 100%;
  max-width: 30%; /* Ensures images scale to fit side-by-side */
  height: auto; /* Maintains aspect ratio */
  flex-grow: 1; /* Allows images to grow proportionally */
  object-fit: contain;
}


.clients, .talks {
  max-width: 1280px;
  margin: 0 auto;
  margin-top: 80px;
  text-align: center;
}

.clients h2, .talks h2 {
  font-size: 22px;
  font-weight: normal;
  color: rgb(82, 82, 82);
}

.clients p, .talks p {
  font-size: 28px;
  font-weight: bold;
  color: black;
}

.contact {
  text-align: center;
  margin-top: 80px;
}

.contact-email a {
  font-size: 28px;
  text-decoration: none;
  color: rgb(117, 126, 221);
  transition: all 200ms ease; // Animation
}

.contact-email a:hover {
  -webkit-transform: scale(1.05);
  -ms-transform: scale(1.05);
  transform: scale(1.05);
}

.socialme a {
  padding: 20px;
  text-align: center;
  text-decoration: none;
  color: rgb(117, 126, 221);
  transition: all 200ms ease; // Animation
}

.socialme a:hover {
  -webkit-transform: scale(1.05);
  -ms-transform: scale(1.05);
  transform: scale(1.05);
}

address {
  margin-top: 10px;
  font-size: 20px;
  font-style: normal;
}

.video-container {
  display: flex; /* Center the video horizontally */
  justify-content: center;
  align-items: center; /* Optional: Center vertically */
  max-width: 560px; /* Maximum width */
  margin: 0 auto; /* Center the container horizontally on the page */
}

.video-container iframe {
  width: 100%; /* Allow iframe to scale */
  max-width: 560px; /* Limit iframe to 560px */
  height: 315px; /* Fixed height to match YouTube aspect ratio */
  border: none; /* Remove iframe border */
}
